Bug 802347 - [ovirt] [vdsm] connectStorageServer is broken
[ovirt] [vdsm] connectStorageServer is broken
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
Unspecified Unspecified
urgent Severity urgent
: ---
: 3.3.4
Assigned To: Saggi Mizrahi
storage
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 06:15 EDT by Haim
Modified: 2016-02-10 12:06 EST (History)
12 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 03:57:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-03-12 06:15:33 EDT
Description of problem:

working with latest code from git hash: 487d70f6b0bf594dd2274cc1af0dd5159a551a32

- connecting host to storage domain using connectStorageServer verb is broken. 

Thread-182::DEBUG::2012-03-12 12:00:29,263::BindingXMLRPC::167::vds::(wrapper) [10.35.97.30]
Thread-182::DEBUG::2012-03-12 12:00:29,264::task::588::TaskManager.Task::(_updateState) Task=`556ad2ae-0892-47e4-8212-297b3129594b`::moving from state init -> state preparing
Thread-182::INFO::2012-03-12 12:00:29,264::logUtils::37::dispatcher::(wrapper) Run and protect: connectStorageServer(domType=3, spUUID='00000000-0000-0000-0000-000000000000', conList=[{'connection': '10.35.64.81', 'iqn': 'locking-type-lun1', 'portal': '1', 'user': '', 'password': '******', 'id': '3f425133-ac60-44ab-81ca-de8648b83266', 'port': '3260'}], options=None)
Thread-182::DEBUG::2012-03-12 12:00:29,265::iscsiadm::48::Storage.Misc.excCmd::(_runCmd) '/usr/bin/sudo -n /sbin/iscsiadm -m node -T locking-type-lun1 -I default -p 10.35.64.81:3260 --op=new' (cwd None)
Thread-182::DEBUG::2012-03-12 12:00:29,288::iscsiadm::48::Storage.Misc.excCmd::(_runCmd) SUCCESS: <err> = ''; <rc> = 0
Thread-182::DEBUG::2012-03-12 12:00:29,289::iscsiadm::48::Storage.Misc.excCmd::(_runCmd) '/usr/bin/sudo -n /sbin/iscsiadm -m node -T locking-type-lun1 -I default -p 10.35.64.81:3260 -n node.startup -v manual --op=update' (cwd None)
Thread-182::DEBUG::2012-03-12 12:00:29,355::iscsiadm::48::Storage.Misc.excCmd::(_runCmd) FAILED: <err> = 'iscsiadm: iface iter could not stat /var/lib/iscsi/nodes/locking-type-lun1/10.35.64.81,3260.\niscsiadm: Could not execute operation on all records: encountered iSCSI database failure\n'; <rc> = 6
Thread-182::DEBUG::2012-03-12 12:00:29,355::iscsiadm::48::Storage.Misc.excCmd::(_runCmd) '/usr/bin/sudo -n /sbin/iscsiadm -m iface' (cwd None)
Thread-182::DEBUG::2012-03-12 12:00:29,378::iscsiadm::48::Storage.Misc.excCmd::(_runCmd) SUCCESS: <err> = ''; <rc> = 0
Thread-182::DEBUG::2012-03-12 12:00:29,378::iscsiadm::48::Storage.Misc.excCmd::(_runCmd) '/usr/bin/sudo -n /sbin/iscsiadm -m node -T locking-type-lun1 -I default -p 10.35.64.81:3260 -u' (cwd None)
Thread-182::DEBUG::2012-03-12 12:00:29,994::iscsiadm::48::Storage.Misc.excCmd::(_runCmd) SUCCESS: <err> = ''; <rc> = 0
Thread-182::DEBUG::2012-03-12 12:00:29,995::iscsiadm::48::Storage.Misc.excCmd::(_runCmd) '/usr/bin/sudo -n /sbin/iscsiadm -m node -T locking-type-lun1 -I default -p 10.35.64.81:3260 --op=delete' (cwd None)
Thread-182::DEBUG::2012-03-12 12:00:30,061::iscsiadm::48::Storage.Misc.excCmd::(_runCmd) SUCCESS: <err> = ''; <rc> = 0
Thread-182::ERROR::2012-03-12 12:00:30,062::hsm::1895::Storage.HSM::(connectStorageServer) Could not connect to storageServer
Thread-182::DEBUG::2012-03-12 12:00:30,063::lvm::457::OperationMutex::(_invalidateAllPvs) Operation 'lvm invalidate operation' got the operation mutex
Thread-182::DEBUG::2012-03-12 12:00:30,064::lvm::459::OperationMutex::(_invalidateAllPvs) Operation 'lvm invalidate operation' released the operation mutex
Thread-182::DEBUG::2012-03-12 12:00:30,064::lvm::469::OperationMutex::(_invalidateAllVgs) Operation 'lvm invalidate operation' got the operation mutex
Thread-182::DEBUG::2012-03-12 12:00:30,065::lvm::471::OperationMutex::(_invalidateAllVgs) Operation 'lvm invalidate operation' released the operation mutex
Thread-182::DEBUG::2012-03-12 12:00:30,065::lvm::490::OperationMutex::(_invalidateAllLvs) Operation 'lvm invalidate operation' got the operation mutex
Thread-182::DEBUG::2012-03-12 12:00:30,066::lvm::492::OperationMutex::(_invalidateAllLvs) Operation 'lvm invalidate operation' released the operation mutex
Thread-182::INFO::2012-03-12 12:00:30,066::logUtils::39::dispatcher::(wrapper) Run and protect: connectStorageServer, Return response: {'statuslist': [{'status': 465, 'id': '3f425133-ac60-44ab-81ca-de8648b83266'}]}
Thread-182::DEBUG::2012-03-12 12:00:30,067::task::1172::TaskManager.Task::(prepare) Task=`556ad2ae-0892-47e4-8212-297b3129594b`::finished: {'statuslist': [{'status': 465, 'id': '3f425133-ac60-44ab-81ca-de8648b83266'}]}
Thread-182::DEBUG::2012-03-12 12:00:30,067::task::588::TaskManager.Task::(_updateState) Task=`556ad2ae-0892-47e4-8212-297b3129594b`::moving from state preparing -> state finished
Thread-182::DEBUG::2012-03-12 12:00:30,067::resourceManager::809::ResourceManager.Owner::(releaseAll) Owner.releaseAll requests {} resources {}
Thread-182::DEBUG::2012-03-12 12:00:30,068::resourceManager::844::ResourceManager.Owner::(cancelAll) Owner.cancelAll requests {}
Thread-182::DEBUG::2012-03-12 12:00:30,068::task::978::TaskManager.Task::(_decref) Task=`556ad2ae-0892-47e4-8212-297b3129594b`::ref 0 aborting False

notes:

- targets, luns and my scsi cache is fine - connection works manually 
- operation worked smoothly without any problems in previous build
Comment 1 Saggi Mizrahi 2012-03-12 15:38:03 EDT
http://gerrit.ovirt.org/2750
Comment 2 Itamar Heim 2012-08-09 03:57:03 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.